# 解析文件内容(免费

**方法**: `POST`
**路径**: `/docmee/v1/api/ppt/parseFileData`

文件（支持 doc/docx/pdf/txt/md/xlsx 等文件）

## 请求参数

### Header 参数

```text
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}
```

### Body 参数 multipart/form-data

```text
file
string
必需
文件（支持 doc/docx/pdf/txt/md/xlsx 等文件）
示例:
test.doc;filename=test.doc
content
string
用户粘贴文本内容
必需
示例:
文本内容
fileUrl
string
文件公网链接
必需
示例:
https://xxx.pdf
website
string
必需
网址（http/https）
示例:
https://example.com
websearch
string
网络搜索关键词
必需
示例:
上海元符号智能科技有限公司
```

## 请求示例代码

### Shell

```bash
curl --location --request POST '/docmee/v1/api/ppt/parseFileData' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--form 'file="test.doc;filename=test.doc"' \
--form 'content="文本内容"' \
--form 'fileUrl="https://xxx.pdf"' \
--form 'website="https://example.com"' \
--form 'websearch="上海元符号智能科技有限公司"'
```

## 返回响应

### 🟢 200 成功

**内容类型**: `application/json`

#### 响应结构

```text
object
```

#### 示例

```json
{
  "data": {
    "dataUrl": "https://xxx" // 数据url（有效期：当天）
  },
  "code": 0,
  "message": "操作成功"
}
```
